﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DuszaRegionalis
{
    /// <summary>
    /// Az interface megvalósításai mind 1-1 parancsot reprezentálnak.
    /// Felülről nézve a legfontosabb amit lehet tenni egy pranccsal: lefuttatni és megtudni hogyan használják.
    /// A parancsok felparaméterezéséért konstruktorok felelősek, melyek struktúrája nem egységes.
    /// A belépési pontként szolgáló konzolban <see cref="Program"/> történik egy példányosítás, majd a típustól függetlenül a parancs végrehajtása
    /// </summary>
    interface Command
    {
        /// <summary>
        /// Minden parancsnak meg kell valósítania a "végrehajtást", vagyis azt a logikát, aminek le kell futnia a parancs kiadásakor.
        /// </summary>
        void execute();
        
        /// <summary>
        /// Minden parancshoz le lehessen kérni, hogy azt hogyan kell használni, vagyis a dokumentációját.
        /// </summary>
        /// <returns></returns>
        string getHelp();


    }
}
