﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DuszaRegionalis.commands
{
    class Documentation : Command
    {
        public string command { get; set; }

        /// <summary>
        /// Meghívja az összes ismert parancs dokumentációjának generáló függvényét <see cref="Command.getHelp"/>
        /// Minden parancs helpje után egy elválasztó sort is kiír
        /// </summary>
        void Command.execute()
        {
            List<Command> commands = new List<Command>();
            commands.Add(new ChangeDirectory());
            commands.Add(new ChnangeHead());
            commands.Add(new CommitCommand());
            commands.Add(new Initialize());
            commands.Add(new ListRepositoryData());
            foreach (Command item in commands)
            {
                Console.WriteLine(item.getHelp());
                Console.WriteLine("------------------------------------");
            }
        }

        /// <summary>
        /// Magának a dokumentációnak nincs dokumentációja, ezért ennek az implementációja elmarad
        /// </summary>
        /// <returns>Nem tér vissza értékkel, cserébe hibát dob.</returns>
        string Command.getHelp()
        {
            throw new NotImplementedException();
        }
    }
}
